Get one of form_templates
curl --request GET \
--url https://{clinic}.{region}.practicehub.io/v3/api/form_templates/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{clinic}.{region}.practicehub.io/v3/api/form_templates/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{clinic}.{region}.practicehub.io/v3/api/form_templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{clinic}.{region}.practicehub.io/v3/api/form_templates/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{clinic}.{region}.practicehub.io/v3/api/form_templates/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{clinic}.{region}.practicehub.io/v3/api/form_templates/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{clinic}.{region}.practicehub.io/v3/api/form_templates/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 14,
"uuid": "6f9a2c1e-8b3d-4e5f-9a70-1c2d3e4f5a6b",
"name": "Basic SOAP",
"description": "Standard SOAP note for follow-up visits.",
"form_type": "practitioner",
"status": "active",
"schema": {
"sections": [
{
"id": "s1",
"title": "SOAP Note",
"fields": [
{
"id": "f1",
"name": "subjective",
"type": "textarea",
"label": "Subjective"
},
{
"id": "f2",
"name": "plan",
"type": "textarea",
"label": "Plan"
}
]
}
]
},
"settings": {
"form_type": "practitioner"
},
"is_system": false,
"created_at": "2026-01-12T09:00:00Z",
"updated_at": "2026-06-02T14:20:00Z"
}
}{
"message": "<string>",
"code": "<string>",
"errors": {}
}{
"message": "<string>",
"code": "<string>",
"errors": {}
}Form Templates
Get one of form_templates
GET
https://{clinic}.{region}.practicehub.io/v3/api
/
form_templates
/
{id}
Get one of form_templates
curl --request GET \
--url https://{clinic}.{region}.practicehub.io/v3/api/form_templates/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{clinic}.{region}.practicehub.io/v3/api/form_templates/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{clinic}.{region}.practicehub.io/v3/api/form_templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{clinic}.{region}.practicehub.io/v3/api/form_templates/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{clinic}.{region}.practicehub.io/v3/api/form_templates/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{clinic}.{region}.practicehub.io/v3/api/form_templates/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{clinic}.{region}.practicehub.io/v3/api/form_templates/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 14,
"uuid": "6f9a2c1e-8b3d-4e5f-9a70-1c2d3e4f5a6b",
"name": "Basic SOAP",
"description": "Standard SOAP note for follow-up visits.",
"form_type": "practitioner",
"status": "active",
"schema": {
"sections": [
{
"id": "s1",
"title": "SOAP Note",
"fields": [
{
"id": "f1",
"name": "subjective",
"type": "textarea",
"label": "Subjective"
},
{
"id": "f2",
"name": "plan",
"type": "textarea",
"label": "Plan"
}
]
}
]
},
"settings": {
"form_type": "practitioner"
},
"is_system": false,
"created_at": "2026-01-12T09:00:00Z",
"updated_at": "2026-06-02T14:20:00Z"
}
}{
"message": "<string>",
"code": "<string>",
"errors": {}
}{
"message": "<string>",
"code": "<string>",
"errors": {}
}Authorizations
API key from Developers → API Keys, sent as Authorization: Bearer .
Path Parameters
Response
The resource
Show child attributes
Show child attributes
Example:
{ "id": 14, "uuid": "6f9a2c1e-8b3d-4e5f-9a70-1c2d3e4f5a6b", "name": "Basic SOAP", "description": "Standard SOAP note for follow-up visits.", "form_type": "practitioner", "status": "active", "schema": { "sections": [ { "id": "s1", "title": "SOAP Note", "fields": [ { "id": "f1", "name": "subjective", "type": "textarea", "label": "Subjective" }, { "id": "f2", "name": "plan", "type": "textarea", "label": "Plan" } ] } ] }, "settings": { "form_type": "practitioner" }, "is_system": false, "created_at": "2026-01-12T09:00:00Z", "updated_at": "2026-06-02T14:20:00Z" }
Was this page helpful?